/// <reference types="node" />
import { BaseTrigger } from '@midwayjs/runtime-mock';
interface HTTPTriggerOpts {
    path: string;
    method: string;
    headers?: {
        [key: string]: any;
    };
    query?: {
        [key: string]: any;
    };
    body?: {
        [key: string]: any;
    } | Buffer;
}
export declare class HTTPTrigger extends BaseTrigger {
    opts: HTTPTriggerOpts;
    useCallback: boolean;
    handler: any;
    constructor(options?: HTTPTriggerOpts);
    toArgs(): Promise<any[]>;
    createCallback(handler: any): (err: any) => void;
}
export declare const http: typeof HTTPTrigger;
export {};
//# sourceMappingURL=http.d.ts.map